Bug 69872 - Rename virtual getConstructData to getConstructDataVirtual
Summary: Rename virtual getConstructData to getConstructDataVirtual
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mark Hahnenberg
URL:
Keywords:
Depends on:
Blocks: 67690
  Show dependency treegraph
 
Reported: 2011-10-11 14:56 PDT by Mark Hahnenberg
Modified: 2011-10-17 02:08 PDT (History)
4 users (show)

See Also:


Attachments
Patch (44.20 KB, patch)
2011-10-11 15:15 PDT, Mark Hahnenberg
no flags Details | Formatted Diff | Diff
Patch (45.25 KB, patch)
2011-10-12 11:45 PDT, Mark Hahnenberg
no flags Details | Formatted Diff | Diff
Patch (45.34 KB, patch)
2011-10-13 10:13 PDT, Mark Hahnenberg
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hahnenberg 2011-10-11 14:56:57 PDT
Since the compiler cannot tell the difference between virtual getConstructData and static getConstructData, we need to rename virtual getConstructData to getConstructDataVirtual in preparation for adding static getConstructData to the MethodTable in ClassInfo.  See also bug 69810.
Comment 1 Mark Hahnenberg 2011-10-11 15:15:19 PDT
Created attachment 110586 [details]
Patch
Comment 2 Mark Hahnenberg 2011-10-12 11:45:40 PDT
Created attachment 110716 [details]
Patch
Comment 3 Mark Hahnenberg 2011-10-13 10:13:43 PDT
Created attachment 110866 [details]
Patch
Comment 4 Michael Saboff 2011-10-13 14:43:25 PDT
Straightforward and looks fine.
Comment 5 Geoffrey Garen 2011-10-13 17:15:37 PDT
Comment on attachment 110866 [details]
Patch

r=me
Comment 6 WebKit Review Bot 2011-10-13 19:21:51 PDT
Comment on attachment 110866 [details]
Patch

Clearing flags on attachment: 110866

Committed r97436: <http://trac.webkit.org/changeset/97436>
Comment 7 WebKit Review Bot 2011-10-13 19:21:56 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Patrick R. Gansterer 2011-10-17 02:08:36 PDT
Committed interpreter build fix r97593: <http://trac.webkit.org/changeset/97593>